Bug 224029 - sysutils/py-salt: builds for python 3.6???
Summary: sysutils/py-salt: builds for python 3.6???
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-01 23:17 UTC by Henrik Hudson
Modified: 2017-12-12 13:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (christer.edwards)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Hudson 2017-12-01 23:17:54 UTC
So, I noticed that py-salt is marked as broken for Python 3.4 - 3.6 .

However, this only appears to be because of the 2 reference to .pyc and .pyo files in the pkg-plist

Python 2.7 stores the bytecode and optimized files with the .py file while Python 3+ seems to use a __pycache__ folder. 

If I remove the lines:
%%PYTHON_SITELIBDIR%%/salt/_syspaths.pyc
%%PYTHON_SITELIBDIR%%/salt/_syspaths.pyo

from pkg-plist it seems to work just fine. I haven't installed it yet, but it builds.

So, I guess the question is..is there a reason the .pyc and .pyo are specified in the pkg-plist?
Comment 1 ari 2017-12-11 05:22:48 UTC
This looks like a bug and they should be removed.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-12-12 13:37:16 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2017-12-12 13:38:16 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Dec 12 13:35:38 UTC 2017
New revision: 456165
URL: https://svnweb.freebsd.org/changeset/ports/456165

Log:
  Fix packaging on Python 3+ and unbreak this port

  PR:		224029
  Reported by:	Henrik Hudson <ports@thelanman.net>
  Approved by:	portmgr (blanket)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/pkg-plist